On 7/19/23 15:05, Ido Schimmel wrote:
On Tue, Jul 18, 2023 at 09:02:31PM +0200, Mirsad Todorovac wrote:
Command "replace" is unknown, try "bridge mdb help".
You are running the test with an old iproute2 that doesn't support the replace command. The following patches [1][2] skip the tests in this case. However, you will get better test coverage with iproute2-next [3] compared to the version shipped with your distribution.
You are right and though I was using the latest iproute2 from the Ubuntu 22.04 LTS and 22.10, the iproute2-next had unlocked the test suite.
[1] diff --git a/tools/testing/selftests/net/forwarding/bridge_mdb.sh b/tools/testing/selftests/net/forwarding/bridge_mdb.sh index ae3f9462a2b6..a1bd4900acb6 100755 --- a/tools/testing/selftests/net/forwarding/bridge_mdb.sh +++ b/tools/testing/selftests/net/forwarding/bridge_mdb.sh @@ -1206,6 +1206,12 @@ ctrl_test() ctrl_mldv2_is_in_test } +bridge mdb help 2>&1 | grep -q "replace" +if [ $? -ne 0 ]; then
echo "SKIP: iproute2 too old, missing bridge mdb replace support"
exit $ksft_skip
+fi
- trap cleanup EXIT
setup_prepare
[2] diff --git a/tools/testing/selftests/net/forwarding/bridge_mdb_max.sh b/tools/testing/selftests/net/forwarding/bridge_mdb_max.sh index ae255b662ba3..a1c4aec4cbb1 100755 --- a/tools/testing/selftests/net/forwarding/bridge_mdb_max.sh +++ b/tools/testing/selftests/net/forwarding/bridge_mdb_max.sh @@ -1328,6 +1328,12 @@ test_8021qvs() switch_destroy } +bridge link help 2>&1 | grep -q "mcast_max_groups" +if [ $? -ne 0 ]; then
echo "SKIP: iproute2 too old, missing bridge \"mcast_max_groups\" support"
exit $ksft_skip
+fi
- trap cleanup EXIT
setup_prepare
[3] https://git.kernel.org/pub/scm/network/iproute2/iproute2-next.git